unit DataModule_Unit;

interface

uses
  System.SysUtils, System.Classes, FireDAC.Stan.Intf, FireDAC.Stan.Option,
  FireDAC.Stan.Error, FireDAC.UI.Intf, FireDAC.Phys.Intf, FireDAC.Stan.Def,
  FireDAC.Stan.Pool, FireDAC.Stan.Async, FireDAC.Phys, FireDAC.Phys.PG,
  FireDAC.Phys.PGDef, FireDAC.VCLUI.Wait, FireDAC.Stan.Param, FireDAC.DatS,
  FireDAC.DApt.Intf, FireDAC.DApt, Data.DB, FireDAC.Comp.DataSet,
  FireDAC.Comp.Client, FireDAC.Comp.UI;

type
  TDM = class(TDataModule)
    FDConnection1: TFDConnection;
    FDPhysPgDriverLink1: TFDPhysPgDriverLink;
    FDGUIxWaitCursor1: TFDGUIxWaitCursor;
    FDQuery1: TFDQuery;
  private
    { Private 錾 }
  public
    { Public 錾 }
    function InsNAME(Patient_ID : Integer; Namae : string):string ;  //ǉ
    function GetNAME(Patient_ID : Integer):string;  //
    function UpdNAME(Patient_ID : Integer; Namae : string):string ;  //XV
    function DelNAME(Patient_ID : Integer):string;  //폜
  end;

var
  DM: TDM;

implementation

{%CLASSGROUP 'Vcl.Controls.TControl'}

{$R *.dfm}

function TDM.InsNAME(Patient_ID : Integer; Namae : string):string ;
var
   SQLstmt:String;
begin
   SQLstmt:='INSERT INTO "PatientTable" '
   +' ( '
   +'"Patient_ID" ,"Namae" '
   +' ) '
   +'values'
   +' ('
   +':P1,:N1 '
   +' )';
   DM.FDQuery1:=TFDQuery.Create(Self);
   DM.FDQuery1.Connection:=DM.FDConnection1;
   DM.FDQuery1.SQL.Clear;   //SQLر
   DM.FDQuery1.SQL.Text:= sqlstmt;  // sDML(INSERT)SQLZbg
   DM.FDQuery1.Params.ParamByName('P1').AsInteger:=Patient_ID;
   DM.FDQuery1.Params.ParamByName('N1').AsString:=Namae;
   DM.FDQuery1.ExecSQL;
   DM.FDQuery1.Close;
   DM.FDQuery1.Free;
end;

function TDM.GetNAME(Patient_ID : Integer):string;
var
   SQLstmt:String;
begin
   SQLstmt:='SELECT * FROM  "PatientTable" '
   +' WHERE "Patient_ID"  = :P1';
   DM.FDQuery1:=TFDQuery.Create(Self);
   DM.FDQuery1.Connection:=DM.FDConnection1;
   DM.FDQuery1.SQL.Clear;   //SQLر
   DM.FDQuery1.SQL.Text:= sqlstmt;  // sDML(SELECT)SQLZbg
   DM.FDQuery1.Params.ParamByName('P1').AsInteger:=Patient_ID;
   DM.FDQuery1.Open();
   if DM.FDQuery1.Eof then
      Result:= 'YȂ'
   else
   begin
      DM.FDQuery1.First;
      Result:= DM.FDQuery1.FieldByName('Namae').AsString;
   end;
   DM.FDQuery1.Close;
   DM.FDQuery1.Free;
end;

function TDM.UpdNAME(Patient_ID : Integer; Namae : string):string ;
var
   SQLstmt:String;
begin
   SQLstmt:='UPDATE "PatientTable" '
   +' SET "Namae"  = :N1 '
   +' Where "Patient_ID"  = :P1';
   DM.FDQuery1:=TFDQuery.Create(Self);
   DM.FDQuery1.Connection:=DM.FDConnection1;
   DM.FDQuery1.SQL.Clear;   //SQLر
   DM.FDQuery1.SQL.Text:= sqlstmt;  // sDML(UPDATE)SQLZbg
   DM.FDQuery1.Params.ParamByName('P1').AsInteger:=Patient_ID;
   DM.FDQuery1.Params.ParamByName('N1').AsString:=Namae;
   DM.FDQuery1.ExecSQL;
   DM.FDQuery1.Close;
   DM.FDQuery1.Free;
end;

function TDM.DelNAME(Patient_ID : Integer):string;
var
   SQLstmt:String;
begin
   sqlstmt :='DELETE FROM "PatientTable" '
   +' Where "Patient_ID"  = :P1';
   DM.FDQuery1:=TFDQuery.Create(Self);
   DM.FDQuery1.Connection:=DM.FDConnection1;
   DM.FDQuery1.SQL.Clear;   //SQLر
   DM.FDQuery1.SQL.Text:= sqlstmt;  // sDML(DELETE)SQLZbg
   DM.FDQuery1.Params.ParamByName('P1').AsInteger:=Patient_ID;
   DM.FDQuery1.ExecSQL;
   DM.FDQuery1.Close;
   DM.FDQuery1.Free;
end;


end.
